fix oneiric, as it moves the boot files

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
pull/8/head
Robert Nelson 13 years ago
parent 630320d8d9
commit c47dc73051

@ -3,7 +3,7 @@ new file mode 100755
index 0000000..6d06fc7
--- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,46 @@
@@ -0,0 +1,56 @@
+#!/bin/sh -e
+cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
+cp /etc/SERIAL.conf /target/etc/init/SERIAL.conf
@ -22,6 +22,16 @@ index 0000000..6d06fc7
+ rm -f /tmp/mmc/uImage || true
+ rm -f /tmp/mmc/uImage.bak || true
+
+ if [ -e "/tmp/mmc/MLO.bak" ]; then
+ rm -f /tmp/mmc/MLO || true
+ mv /tmp/mmc/MLO.bak /tmp/mmc/MLO
+ fi
+
+ if [ -e "/tmp/mmc/u-boot.bin.bak" ]; then
+ rm -f /tmp/mmc/u-boot.bin || true
+ mv /tmp/mmc/u-boot.bin.bak /tmp/mmc/u-boot.bin
+ fi
+
+ #Install kernel image deb
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true

Loading…
Cancel
Save